
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Blockly Custom Blocks</title>
  <script type="module">
    import * as Blockly from '@johnnycubides/blockly-catalejo';
    import { luaGenerator } from "@johnnycubides/blockly-catalejo/lua";
    import * as platform from "/src/main.ts";

    // Seleccionar un workspace
    const workspace = Blockly.inject('blocklyDiv', {
      toolbox: platform.toolbox,
    });
    // Inyectando bloques
    platform.addCustomBlocks(Blockly, luaGenerator);

    // Función run() para traductor de bloques
    function run(){
      var code = platform.generateCode(luaGenerator, workspace);
      console.log(code);
      alert(code);
    }

    // Asociando el evento para el botón run, en vista de que esta
    // descripción se representa a modo de "module" de javascript.
    document.addEventListener('DOMContentLoaded', () => {
      const button = document.querySelector('#runButton') ;
      button.addEventListener("click", run);
    });
  </script>
</head>
<body>
  <h4>Blockly Custom Blocks</h4>
  <button id="runButton">RUN</button>
  <div id="blocklyDiv" style="height: 700px; width: 900px;"></div>
  <xml id="toolbox" style="display: none">
    <block type="custom_block"></block>
  </xml>
</body>
</html>
